- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.control.CheckBox Class Reference

The smjg.libs.sdwf.control.CheckBox class interfaces a check box. More...

Inheritance diagram for smjg.libs.sdwf.control.CheckBox:

List of all members.

## Public Member Functions
| this (Dialog parent, int id)
| Constructs a CheckBox object to interface a given check box control.
| this (WindowBase parent, int id, string text, Rect position)
| Constructs a check box to be created at runtime.
Properties
int | checked ()
| The checked state of this check box.
int | checked (int state)
| The checked state of this check box.

## Detailed Description

The smjg.libs.sdwf.control.CheckBox class interfaces a check box.

Status:
  done

## Constructor & Destructor Documentation

smjg.libs.sdwf.control.CheckBox.this | ( | Dialog | parent,
|  | int | id |
| ) |  |  |

Constructs a CheckBox object to interface a given check box control.

Parameters:

  | parent | the dialog on which the control is placed.
  | id | numeric ID of the control.

Precondition:
  The parent interface element must already have been created. CheckBox objects should be constructed in an overridden Dialog.setup method, not in the constructor of a Dialog subclass.

Status:
  done

Reimplemented from smjg.libs.sdwf.control.Control.

Reimplemented in smjg.libs.sdwf.control.RadioButton.

smjg.libs.sdwf.control.CheckBox.this | ( | WindowBase | parent,
|  | int | id,
|  | string | text,
|  | Rect | position |
| ) |  |  |

Constructs a check box to be created at runtime.

Parameters:

  | parent | the window or dialog on which the check box will be placed.
  | id | numeric ID that the check box will have.
  | text | the check box's caption text.
  | position | the position on the parent window where the check box will be placed.

Since:
  0.4

Status:
  done

## Member Function Documentation

int smjg.libs.sdwf.control.CheckBox.checked | ( |  | ) |

The checked state of this check box.

Values are:

- `0` unchecked.
- `1` checked.
- `2` shaded - applies only to a three-state checkbox.

Status:
  done

int smjg.libs.sdwf.control.CheckBox.checked | ( | int | state | ) |

The checked state of this check box.

Values are:

- `0` unchecked.
- `1` checked.
- `2` shaded - applies only to a three-state checkbox.

Status:
  done

The documentation for this class was generated from the following file:

- control.d